# Hidden

Quickly and responsively toggle the visibility value of components and more with the hidden utilities.

## How it works

Hidden works with a range of breakpoints e.g. `xsUp` or `mdDown`, or one or more breakpoints e.g. `-Only 'sm'` or `-Only @('md', 'xl')`. Ranges and individual breakpoints can be used simultaneously to achieve very customized behavior. The ranges are inclusive of the specified breakpoints.

```
innerWidth  |xs      sm       md       lg       xl
            |--------|--------|--------|--------|-------->
width       |   xs   |   sm   |   md   |   lg   |   xl

smUp        |   show | hide
mdDown      |                     hide | show
```

## Up

&#x20;Using any breakpoint `-Up` parameter, the given *children* will be hidden *at or above* the breakpoint.

```
New-UDHidden -Up xl -Content {
    New-UDTypography 'xl'
}
```

## Down

&#x20;Using any breakpoint `-Down` parameter, the given *children* will be hidden *at or below* the breakpoint.

```
New-UDHidden -Down xs -Content {
    New-UDTypography 'xs'
}
```

## Only

Using the breakpoint `-Only` parameter, the given *children* will be hidden *at* the specified breakpoint(s).

The `-Only` parameter can be used in two ways:

* list a single breakpoint
* list an array of breakpoints

```
New-UDHidden -Only 'sm' -Content {
    New-UDTypography 'sm'
}
New-UDHidden -Only @('sm', 'xl') -Content {
    New-UDTypography 'sm,xl'
}
```

## API

* [New-UDHidden](https://github.com/ironmansoftware/universal-docs/blob/master/cmdlets/New-UDHidden.txt)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/master-1/userinterfaces/dashboards/components/layout/hidden.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
